Target version: 0.4
Description

See #351 for details.

History
#1 - 06/27/2011 04:25 PM - J. Wienke
- Priority changed from Normal to Urgent

This is especially important as there is currently only a string converter in java and the user is not able to change this (hard-coded "string" strings).

#2 - 07/20/2011 10:09 PM - S. Wrede
- Status changed from New to In Progress
- Target version changed from rsb-0.10 to 0.3
- Estimated time set to 10.00

Converter Selection Strategies are almost implemented and internal processing changed to use the new subsystem.

Next is an example how to register and use a user definable GProtoBuf converter.

#3 - 07/20/2011 11:40 PM - S. Wrede

Prototypical example for SimpleImage works in conjunction with the generic ProtoBuf converter but needs further testing.

#4 - 07/25/2011 06:07 PM - S. Wrede
- Target version changed from 0.3 to 0.4

#5 - 08/03/2011 01:47 PM - S. Wrede
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Basic implementation available in SVN trunk.

DefaultConverterRepository.getDefaultConverterRepository().addConverter(Converter) can be used to register user-level converters at the RSB
runtime.
#6 - 08/03/2011 01:47 PM - S. Wrede
- Tracker changed from Tasks to Enhancement

#7 - 08/03/2011 01:51 PM - S. Wrede

See r2242 for details.
